package cn.com.qmth.stmms.common.enums;

public enum MarkStage {

    WAITING("未开始", 0), EXAMPLE("样卷", 1), TEST("试评", 2), FORMAL("正评", 3), FINISH("评卷结束", 4);

    private String name;

    private int value;

    private MarkStage(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static MarkStage findByValue(int value) {
        MarkStage status = null;
        for (MarkStage s : MarkStage.values()) {
            if (s.getValue() == value) {
                status = s;
                break;
            }
        }
        return status;
    }
}
